yum(8)

NAME
yum - Yellowdog Updater Modified shell

SYNOPSIS
yum shell [filename]

DESCRIPTION

yum includes an interactive shell for conducting multiple commands or sets of commands during a single execution of yum. These commands can be issued manually or passed to yum from a file. The commands are much the same as the normal yum command line options. See here yum(8) for that information. There are a few additional commands documented below.

config
       [argument] [value]
       args: debuglevel, errorlevel, obsoletes, gpgcheck, assumeyes, exclude
         If no value is given it prints the current value.
         If value is given it sets that value.

repo
       [argument] [option]
         list: lists repositories and their status
         enable: enable repositories. option = repository id
         disable: disable repositories. option = repository id

transaction
       [argument]
         list: lists the contents of the transaction
         reset: reset (zero-out) the transaction
         solve: run the dependency solver on the transaction
         run: run the transaction

Examples
The following are examples of using the yum shell.

     list available packagename*
     groupinfo 'Some Group'
     install foo
     remove bar
     update baz
     run That will list available packages matching the glob 'packagename*'. It will return information on the group 'Some Group' It will then queue the following commands into the transaction: install foo, remove bar, update baz. Then the 'run' command will resolve dependencies for the transaction commands and run the transaction.

SEE ALSO
yum (8)
http://linux.duke.edu/yum/

AUTHORS
See the Authors file included with this program.

BUGS
There of course aren't any bugs, but if you find any, they should be sent to the mailing list: yum@lists.linux.duke.edu or filed in bugzilla.